fbsql_data_seek
fbsql_database
FrontBase Functions
PHP Manual

# fbsql_database_password

Sets or retrieves the password for a FrontBase database

### Description

string fbsql_database_password ( resource `$link_identifier` [, string `$database_password` ] )

Sets and retrieves the database password used by the connection. If a database is protected by a database password, the user must call this function before calling fbsql_select_db.

If no link is open, the function will try to establish a link as if fbsql_connect was called, and use it.

This function does not change the database password in the database nor can it be used to retrieve the database password for a database.

### Parameters

`link_identifier`

  A FrontBase link identifier returned by fbsql_connect or fbsql_pconnect.

  If optional and not specified, the function will try to find an open link to the FrontBase server and if no such link is found it will try to create one as if fbsql_connect was called with no arguments.

`database_password`

  The database password, as a string. If given, the function sets the database password for the specified link identifier.

### Return Values

Returns the database password associated with the link identifier.

### Examples

Example #1 fbsql_create_clob example

`<?php
$link = fbsql_pconnect("localhost", "_SYSTEM", "secret")
or die("Could not connect");
fbsql_database_password($link, "secret db password");
fbsql_select_db($database, $link);
?>`

### See Also

- fbsql_connect
- fbsql_pconnect
- fbsql_select_db